# Uses of Class
org.apache.lucene.index.SegmentReadState

Packages that use SegmentReadState
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of SegmentReadState in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs with parameters of type SegmentReadState
Modifier and Type
Method
Description
`abstract DocValuesProducer`
DocValuesFormat.`fieldsProducer(SegmentReadState state)`
Returns a `DocValuesProducer` to read docvalues from the index.
`abstract FieldsProducer`
PostingsFormat.`fieldsProducer(SegmentReadState state)`
Reads a segment.
`abstract KnnVectorsReader`
KnnVectorsFormat.`fieldsReader(SegmentReadState state)`
Returns a `KnnVectorsReader` to read the vectors from the index.
`abstract PointsReader`
PointsFormat.`fieldsReader(SegmentReadState state)`
Reads a segment.
`abstract void`
PostingsReaderBase.`init(IndexInput termsIn, SegmentReadState state)`
Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.
`abstract NormsProducer`
NormsFormat.`normsProducer(SegmentReadState state)`
Returns a `NormsProducer` to read norms from the index.

## Uses of SegmentReadState in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw with parameters of type SegmentReadState
Modifier and Type
Method
Description
`abstract FlatVectorsReader`
FlatVectorsFormat.`fieldsReader(SegmentReadState state)`
Returns a `KnnVectorsReader` to read the vectors from the index.

## Uses of SegmentReadState in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 with parameters of type SegmentReadState
Modifier and Type
Method
Description
`DocValuesProducer`
Lucene90DocValuesFormat.`fieldsProducer(SegmentReadState state)`
`PointsReader`
Lucene90PointsFormat.`fieldsReader(SegmentReadState state)`
`NormsProducer`
Lucene90NormsFormat.`normsProducer(SegmentReadState state)`
Constructors in org.apache.lucene.codecs.lucene90 with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`Lucene90PointsReader(SegmentReadState readState)`
Sole constructor

## Uses of SegmentReadState in org.apache.lucene.codecs.lucene90.blocktree

Constructors in org.apache.lucene.codecs.lucene90.blocktree with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`Lucene90BlockTreeTermsReader(PostingsReaderBase postingsReader, SegmentReadState state)`
Sole constructor.

## Uses of SegmentReadState in org.apache.lucene.codecs.lucene912

Methods in org.apache.lucene.codecs.lucene912 with parameters of type SegmentReadState
Modifier and Type
Method
Description
`FieldsProducer`
Lucene912PostingsFormat.`fieldsProducer(SegmentReadState state)`
`void`
Lucene912PostingsReader.`init(IndexInput termsIn, SegmentReadState state)`
Constructors in org.apache.lucene.codecs.lucene912 with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`Lucene912PostingsReader(SegmentReadState state)`
Sole constructor.

## Uses of SegmentReadState in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 with parameters of type SegmentReadState
Modifier and Type
Method
Description
`FlatVectorsReader`
Lucene99FlatVectorsFormat.`fieldsReader(SegmentReadState state)`
`KnnVectorsReader`
Lucene99HnswScalarQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`
`KnnVectorsReader`
Lucene99HnswVectorsFormat.`fieldsReader(SegmentReadState state)`
`FlatVectorsReader`
Lucene99ScalarQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`
Constructors in org.apache.lucene.codecs.lucene99 with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`Lucene99FlatVectorsReader(SegmentReadState state, FlatVectorsScorer scorer)`
``
`Lucene99HnswVectorsReader(SegmentReadState state, FlatVectorsReader flatVectorsReader)`
``
`Lucene99ScalarQuantizedVectorsReader(SegmentReadState state, FlatVectorsReader rawVectorsReader, FlatVectorsScorer scorer)`

## Uses of SegmentReadState in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield with parameters of type SegmentReadState
Modifier and Type
Method
Description
`final DocValuesProducer`
PerFieldDocValuesFormat.`fieldsProducer(SegmentReadState state)`
`final FieldsProducer`
PerFieldPostingsFormat.`fieldsProducer(SegmentReadState state)`
`KnnVectorsReader`
PerFieldKnnVectorsFormat.`fieldsReader(SegmentReadState state)`
Constructors in org.apache.lucene.codecs.perfield with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`FieldsReader(SegmentReadState readState)`
Create a FieldsReader over a segment, opening VectorReaders for each KnnVectorsFormat specified by the indexed numeric vector fields.

## Uses of SegmentReadState in org.apache.lucene.index

Constructors in org.apache.lucene.index with parameters of type SegmentReadState
Modifier
Constructor
Description
``
`SegmentReadState(SegmentReadState other, String newSegmentSuffix)`
Create a `SegmentReadState`.